SuperStrict
Include "Inc/Translator.bmx"

Graphics(1024, 768)

Global tfFrameTimer:TTimer = TTimer.Create(60) 'Frame Timer

Local font:TImageFont = LoadImageFont("Arial", 15, SMOOTHFONT)
SetImageFont(font) 'Standard imagefont

AutoMidHandle(True)
SeedRnd(MilliSecs())

TTranslator.Initialize("Data/dat/texts/Pathes.ini", "Data/dat/texts/IngameTextLines.ini", "Data/dat/lang/KeyNames.ini", "Data/dat/lang/Languages.ini")

Global iSpacePressed:Int = 0, iScore:Int = 0

Global timgTestImage:TImage = LoadImage(TTranslator.GetFilePath("Data/gfx/backgrounds/default/TestBack.png", "Spanish"))

'Mainloop
While Not (KeyHit(KEY_ESCAPE) Or AppTerminate())
	Cls
	WaitTimer(tfFrameTimer) 'Wait for the timer
	
	Local keySp:Int = KeyHit(KEY_SPACE)
	
	If(keySp) Then
		If(TTranslator.sCurrentLanguage = "English") Then
			TTranslator.sCurrentLanguage = "Deutsch"
		Else
			TTranslator.sCurrentLanguage = "English"
		EndIf
		iSpacePressed:+1
		iScore:+20
		timgTestImage = LoadImage(TTranslator.GetFilePath("Data/gfx/backgrounds/default/TestBack.png"))
	EndIf
	
	Local sArray:String[] = [String(iScore)]
	Local sArray2:String[] = ["100"]
	Local sArray3:String[] = ["100", String(iScore), String(iSpacePressed)]
	
	DrawImage(timgTestImage, 400, 200)
	
	DrawText(TTranslator.GetFixedString("Score", sArray), 100.0, 70.0)
	DrawText(TTranslator.GetFixedString("LifeEnergy", sArray2), 100.0, 90.0)
	DrawText(TTranslator.GetFixedString("Stats", sArray3), 100.0, 150.0)
	
	
	Flip 0
Wend